com.android.agf.asynctask

## Class LoginPentaho

- java.lang.Object
- - android.os.AsyncTask<String,Void,Integer>
  - - com.android.agf.asynctask.LoginPentaho

- Direct Known Subclasses:
    DropDatabaseActivity.MyLoginPentahoAndDrop

      public class LoginPentaho
      extends AsyncTask<String,Void,Integer>

  classe que implementa una asynctask per conectar amb el servidor pentaho i aconseguir tots els elements
  Author:
    albert

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.os.AsyncTask

      `AsyncTask.Status`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `mDrop`
    `protected UserSettings` | `mUser`

    - ### Fields inherited from class android.os.AsyncTask

      `SERIAL_EXECUTOR, THREAD_POOL_EXECUTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoginPentaho(Context ctx, PentahoServerSettings server, UserSettings user)` constructor, nova connexió servidor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Integer` | `doInBackground(String... urls)`
    `int` | `generaDashboard(Context ctx, JSONObject json)` funcio per generar un dashboard i retornar l'exit o fracas codificat en un int

    - ### Methods inherited from class android.os.AsyncTask

      `cancel, execute, execute, executeOnExecutor, get, get, getStatus, isCancelled, onCancelled, onCancelled, onPostExecute, onPreExecute, onProgressUpdate, publishProgress`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mUser

          protected UserSettings mUser

    - #### mDrop

          protected boolean mDrop

  - ### Constructor Detail

    - #### LoginPentaho

          public LoginPentaho(Context ctx,
                      PentahoServerSettings server,
                      UserSettings user)

      constructor, nova connexió servidor
      Parameters:
        `ctx` -
        `server` -
        `user` -

  - ### Method Detail

    - #### doInBackground

          protected Integer doInBackground(String... urls)

      Specified by:
        `doInBackground` in class `AsyncTask<String,Void,Integer>`

    - #### generaDashboard

          public int generaDashboard(Context ctx,
                            JSONObject json)

      funcio per generar un dashboard i retornar l'exit o fracas codificat en un int
      Parameters:
        `ctx` -
        `json` -
      Returns: